# DataExchange
TKSTEP209
RWStepElement

# RWStepElement_RWCurveElementSectionDerivedDefinitions Class Reference

Read & Write tool for CurveElementSectionDerivedDefinitions
.

`#include <RWStepElement_RWCurveElementSectionDerivedDefinitions.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepElement_RWCurveElementSectionDerivedDefinitions ()
| Empty constructor .
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepElement_CurveElementSectionDerivedDefinitions)&ent) const
| Reads CurveElementSectionDerivedDefinitions .
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepElement_CurveElementSectionDerivedDefinitions)&ent) const
| Writes CurveElementSectionDerivedDefinitions .
Standard_EXPORT void | Share (const Handle(StepElement_CurveElementSectionDerivedDefinitions)&ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) .

## Constructor & Destructor Documentation

Standard_EXPORT RWStepElement_RWCurveElementSectionDerivedDefinitions::RWStepElement_RWCurveElementSectionDerivedDefinitions | ( |  | ) |

## Member Function Documentation

void RWStepElement_RWCurveElementSectionDerivedDefinitions::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepElement_RWCurveElementSectionDerivedDefinitions::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepElement_RWCurveElementSectionDerivedDefinitions::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepElement_RWCurveElementSectionDerivedDefinitions::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepElement_CurveElementSectionDerivedDefinitions)& | ent
| ) | const

Standard_EXPORT void RWStepElement_RWCurveElementSectionDerivedDefinitions::Share | ( | const Handle(StepElement_CurveElementSectionDerivedDefinitions)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepElement_RWCurveElementSectionDerivedDefinitions::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepElement_CurveElementSectionDerivedDefinitions)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepElement_RWCurveElementSectionDerivedDefinitions.hxx